#!/bin/sh

BASE=/home/cschwede/public_html/weather_micky/display
cd $BASE

# Halle/Leipzig
STATION=10469

# Funktion zum Wandeln in Buchstaben
chr() {
  echo -e \\u$(printf '%04x' $1)
}


wget -q https://opendata.dwd.de/weather/weather_reports/poi/$STATION-BEOB.csv

#aktuelles Wetter
WETTER0=`head -4 $STATION-BEOB.csv |tail -1|cut -d ";" -f 36`
#vergangenes Wetter
WETTER1=`head -4 $STATION-BEOB.csv |tail -1|cut -d ";" -f 29`
WETTER2=`head -4 $STATION-BEOB.csv |tail -1|cut -d ";" -f 30`

# setze Tageszeit Tag/Nacht
HOUR=`date +%k`
if [ $HOUR -lt 6 ]
then
DAYTIME=NIGHT
elif [ $HOUR -gt 18 ]
then
DAYTIME=NIGHT
else
DAYTIME=DAY
fi

if [ $DAYTIME == DAY ]
then

case $WETTER0 in 
       1)
	   ASCII0=61453 
	   ;;
       2)
	   ASCII0=61452
	   ;;
       3)
           ASCII0=61442
           ;;
       4)
           ASCII0=61459
           ;;
       5)
           ASCII0=61473
           ;;
       6)
           ASCII0=61539
           ;;
       7)
           ASCII0=61449
           ;;
       8)
           ASCII0=61466
           ;;
       9)
           ASCII0=61465
           ;;
       10)
           ASCII0=61446
           ;;
       11)
           ASCII0=61463
           ;;
       12)
           ASCII0=61444
           ;;
       13)
           ASCII0=61447
           ;;
       14)
           ASCII0=61450
           ;;
       15)
           ASCII0=61467
           ;;
       16)
           ASCII0=61467
           ;;
       17)
           ASCII0=61541
           ;;
       18)
           ASCII0=61465
           ;;
       19)
           ASCII0=61465
           ;;
       20)
           ASCII0=61463
           ;;
       21)
           ASCII0=61464
           ;;
       22)
           ASCII0=61467
           ;;
       23)
           ASCII0=61467
           ;;
       24)
           ASCII0=61450
           ;;
       25)
           ASCII0=61467
           ;;
       26)
           ASCII0=61445
           ;;
       27)
           ASCII0=61454
           ;;
       28)
           ASCII0=61456
           ;;
       29)
           ASCII0=61569
           ;;
       30)
           ASCII0=61570
           ;;
       31)
           ASCII0=61520
           ;;
	*)
	   ASCII0=61563
	   ;;
esac
else
case $WETTER0 in 
       1)
	   ASCII0=61486
	   ;;
       2)
	   ASCII0=61569
	   ;;
       3)
           ASCII0=61574
           ;;
       4)
           ASCII0=61459
           ;;
       5)
           ASCII0=61473
           ;;
       6)
           ASCII0=61539
           ;;
       7)
           ASCII0=61481
           ;;
       8)
           ASCII0=61466
           ;;
       9)
           ASCII0=61465
           ;;
       10)
           ASCII0=61478
           ;;
       11)
           ASCII0=61463
           ;;
       12)
           ASCII0=61476
           ;;
       13)
           ASCII0=61479
           ;;
       14)
           ASCII0=61482
           ;;
       15)
           ASCII0=61467
           ;;
       16)
           ASCII0=61467
           ;;
       17)
           ASCII0=61543
           ;;
       18)
           ASCII0=61480
           ;;
       19)
           ASCII0=61465
           ;;
       20)
           ASCII0=61478
           ;;
       21)
           ASCII0=61463
           ;;
       22)
           ASCII0=61482
           ;;
       23)
           ASCII0=61467
           ;;
       24)
           ASCII0=61496
           ;;
       25)
           ASCII0=61467
           ;;
       26)
           ASCII0=61477
           ;;
       27)
           ASCII0=61484
           ;;
       28)
           ASCII0=61485
           ;;
       29)
           ASCII0=61469
           ;;
       30)
           ASCII0=61470
           ;;
       31)
           ASCII0=61520
           ;;
	*)
	   ASCII0=61563
	   ;;
esac
fi

case $WETTER1 in
       4)
           ASCII1=61473
           ;;
       5)
           ASCII1=61449
           ;;
       6)
           ASCII1=61448
           ;;
       7)
           ASCII1=61450
           ;;
       8)
           ASCII1=61465
           ;;
       9)
           ASCII1=61470
           ;;
       *)
           ASCII1=9724
           ;;
esac

case $WETTER2 in
       4)
           ASCII2=61473
           ;;
       5)
           ASCII2=61449
           ;;
       6)
           ASCII2=61448
           ;;
       7)
           ASCII2=61450
           ;;
       8)
           ASCII2=61465
           ;;
       9)
           ASCII2=61470
           ;;
       *)
           ASCII2=9724
	   ;;
esac

SYMBOL0=`chr $ASCII0`
SYMBOL1=`chr $ASCII1`
SYMBOL2=`chr $ASCII2`


echo $SYMBOL0
echo $SYMBOL1
echo $SYMBOL2

# aufräumen
rm $BASE/$STATION-*
